clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
clang::tidy::ClangTidyError Struct Reference

A detected error complete with information to display diagnostic and automatic fix. More...

`#include <ClangTidyDiagnosticConsumer.h>`

Collaboration diagram for clang::tidy::ClangTidyError:
[legend]

## Public Types
enum | Level { Warning = DiagnosticsEngine::Warning, Error = DiagnosticsEngine::Error }

## Public Member Functions
| ClangTidyError (StringRef CheckName, Level DiagLevel)

## Public Attributes
std::string | CheckName
ClangTidyMessage | Message
tooling::Replacements | Fix
SmallVector< ClangTidyMessage, 1 > | Notes
Level | DiagLevel

## Detailed Description

A detected error complete with information to display diagnostic and automatic fix.

This is used as an intermediate format to transport Diagnostics without a dependency on a SourceManager.

FIXME: Make Diagnostics flexible enough to support this directly.

Definition at line 54 of file ClangTidyDiagnosticConsumer.h.

## Member Enumeration Documentation

enum clang::tidy::ClangTidyError::Level

Enumerator
Warning |
Error |

Definition at line 55 of file ClangTidyDiagnosticConsumer.h.

## Constructor & Destructor Documentation

ClangTidyError::ClangTidyError | ( | StringRef | CheckName,
|  | ClangTidyError::Level | DiagLevel
| ) |  |

Definition at line 117 of file ClangTidyDiagnosticConsumer.cpp.

## Member Data Documentation

std::string clang::tidy::ClangTidyError::CheckName

Definition at line 62 of file ClangTidyDiagnosticConsumer.h.

Level clang::tidy::ClangTidyError::DiagLevel

Definition at line 67 of file ClangTidyDiagnosticConsumer.h.

tooling::Replacements clang::tidy::ClangTidyError::Fix

Definition at line 64 of file ClangTidyDiagnosticConsumer.h.

ClangTidyMessage clang::tidy::ClangTidyError::Message

Definition at line 63 of file ClangTidyDiagnosticConsumer.h.

SmallVector<ClangTidyMessage, 1> clang::tidy::ClangTidyError::Notes

Definition at line 65 of file ClangTidyDiagnosticConsumer.h.

The documentation for this struct was generated from the following files:

- ClangTidyDiagnosticConsumer.h
- ClangTidyDiagnosticConsumer.cpp